(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     24338,        715]
NotebookOptionsPosition[     20313,        588]
NotebookOutlinePosition[     22386,        643]
CellTagsIndexPosition[     22301,        638]
WindowTitle->ODBgetFieldAttributes - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["D B A P I SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"ODBgetDataset\"\>":>
       Documentation`HelpLookup["paclet:DBAPI/ref/ODBgetDataset"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"OrientDB Package\"\>":>
       Documentation`HelpLookup["paclet:DBAPI/guide/ODBapiPackage"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"DBAPI/ref/ODBgetFieldAttributes\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["DBAPI/ref/ODBgetFieldAttributes"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/DBAPI/ref/\
ODBgetFieldAttributes.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "DBAPI/ref/ODBgetFieldAttributes", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["ODBgetFieldAttributes", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ODBgetFieldAttributes", "[", 
       RowBox[{"Dataset", ",", " ", 
        RowBox[{"{", "attributes", "}"}]}], "]"}]], "InlineFormula"],
     " Get the field (property) attributes from an OrientDB schema-full Class"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->245507184],

Cell[TextData[{
 StyleBox["Arguments :",
  FontWeight->"Bold"],
 " "
}], "Notes",
 CellID->1067943069],

Cell[TextData[{
 "First argument is a ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " that represents the response from the getClass command of ",
 Cell[BoxData[
  ButtonBox["ODBapi",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/ODBapi"]], "InlineFormula"],
 "\[LineSeparator]Second argument is a ",
 ButtonBox["List",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/List"],
 " of attributes"
}], "Notes",
 CellID->76205178],

Cell[TextData[StyleBox["Returns : ",
 FontWeight->"Bold"]], "Notes",
 CellID->532568345],

Cell["\<\
A table Dataset with columns the attributes of Class properties\
\>", "Notes",
 CellID->384880221]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->324653568],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->120383522],

Cell[TextData[{
 "Execute ",
 Cell[BoxData[
  ButtonBox["ODBapi",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/ODBapi"]], "InlineFormula"],
 " with the getClass command"
}], "ExampleText",
 CellID->390502528],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"classInfo", "=", 
  RowBox[{"ODBapi", "[", 
   RowBox[{
    RowBox[{"com", "\[Rule]", " ", "\"\<getClass\>\""}], ",", " ", 
    RowBox[{"db", "\[Rule]", "\"\<DemoDB\>\""}], ",", " ", 
    RowBox[{"class", "\[Rule]", " ", "\"\<Person\>\""}], ",", " ", 
    RowBox[{"debug", "\[Rule]", " ", "True"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->113697542],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"http://localhost:2480/class/DemoDB/Person\"\>", 
   "\[InvisibleSpace]", "\<\"\\n=== Body ===\\n\"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "http://localhost:2480/class/DemoDB/Person", "\n=== Body ===\n", ""],
  Editable->False]], "Print",
 CellLabel->"During evaluation of In[57]:=",
 CellID->297657940],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"{\\\"name\\\":\\\"Person\\\",\\\"superClass\\\":\\\"\\\",\\\"\
superClasses\\\":[],\\\"alias\\\":null,\\\"abstract\\\":false,\\\"strictmode\\\
\":false,\\\"clusters\\\":[12],\\\"defaultCluster\\\":12,\\\"clusterSelection\
\\\":\\\"round-robin\\\",\\\"records\\\":0,\\\"properties\\\":[{\\\"name\\\":\
\\\"personDOB\\\",\\\"type\\\":\\\"DATE\\\",\\\"mandatory\\\":true,\\\"\
readonly\\\":false,\\\"notNull\\\":true,\\\"min\\\":null,\\\"max\\\":null,\\\"\
regexp\\\":null,\\\"collate\\\":\\\"default\\\"},{\\\"name\\\":\\\"personName\
\\\",\\\"type\\\":\\\"STRING\\\",\\\"mandatory\\\":true,\\\"readonly\\\":\
false,\\\"notNull\\\":true,\\\"min\\\":null,\\\"max\\\":null,\\\"regexp\\\":\
null,\\\"collate\\\":\\\"ci\\\"},{\\\"name\\\":\\\"rentCar\\\",\\\"\
linkedClass\\\":\\\"Car\\\",\\\"type\\\":\\\"LINK\\\",\\\"mandatory\\\":false,\
\\\"readonly\\\":false,\\\"notNull\\\":false,\\\"min\\\":null,\\\"max\\\":\
null,\\\"regexp\\\":null,\\\"collate\\\":\\\"default\\\"}]}\"\>", ",", 
   "200"}], "}"}]], "Output",
 ImageSize->{585, 152},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->347421544]
}, Open  ]],

Cell[TextData[{
 "The postfix operation of ",
 StyleBox[ButtonBox["ODBgetDataset",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/ODBgetDataset"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " transforms JSON Output above into a Wolfram ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 " Further processing can be applied on the resulting ",
 ButtonBox["Dataset",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dataset"],
 "."
}], "ExampleText",
 CellID->282846910],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"classInfoDS", "=", 
  RowBox[{"classInfo", "//", "ODBgetDataset"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->27991777],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"name\"", 
        GrayLevel[0.3]], 
       StyleBox["\"Person\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"superClass\"", 
        GrayLevel[0.3]], 
       StyleBox["\"\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"superClasses\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       StyleBox["\"alias\"", 
        GrayLevel[0.3]], 
       InterpretationBox[
        TagBox["Null", Short[#, 5]& ], Null]}, {
       StyleBox["\"abstract\"", 
        GrayLevel[0.3]], 
       InterpretationBox["False", False]}, {
       StyleBox["\"strictmode\"", 
        GrayLevel[0.3]], 
       InterpretationBox["False", False]}, {
       StyleBox["\"clusters\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 12, "\[ThinSpace]", "}"}], 
        LineBreakWithin -> Automatic]}, {
       StyleBox["\"defaultCluster\"", 
        GrayLevel[0.3]], 12}, {
       StyleBox["\"clusterSelection\"", 
        GrayLevel[0.3]], 
       StyleBox["\"round-robin\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"records\"", 
        GrayLevel[0.3]], 0}, {
       StyleBox["\"properties\"", 
        GrayLevel[0.3]], 
       StyleBox[
        RowBox[{"{", "\[ThinSpace]", 
          StyleBox[
           RowBox[{
             StyleBox["\[LeftAssociation]", 
              GrayLevel[0.45]], "\[ThinSpace]", 
             RowBox[{
               StyleBox["\"name\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"personDOB\"", FontColor -> GrayLevel[0.4]]}], ",", 
             RowBox[{
               StyleBox["\"linkedClass\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               InterpretationBox[
                StyleBox[
                "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, 
                 FontWeight -> Bold, 
                 GrayLevel[0.7]], 
                Missing["KeyAbsent", "linkedClass"]]}], ",", 
             RowBox[{
               StyleBox["\"type\"", 
                GrayLevel[0.3]], 
               StyleBox["\[Rule]", 
                GrayLevel[0.5]], 
               StyleBox["\"DATE\"", FontColor -> GrayLevel[0.4]]}], ",", 
             StyleBox[
              SubscriptBox["\[CenterEllipsis]", "6"], 
              GrayLevel[0.5]], "\[ThinSpace]", 
             StyleBox["\[RightAssociation]", 
              GrayLevel[0.45]]}], LineBreakWithin -> Automatic], ",", 
          StyleBox[
           SubscriptBox["\[CenterEllipsis]", "2"], 
           GrayLevel[0.5]], "\[ThinSpace]", "}"}], LineBreakWithin -> 
        Automatic]}, {
       ItemBox[
        RowBox[{"3 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"11", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> 1.2, 
     GridBoxBackground -> {"Columns" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],
    "Dataset[<|\"name\" -> _, \"superClass\" -> _, \"superClasses\" -> _, \
\"alias\" -> _, \"abstract\" -> _, \"strictmode\" -> _, \"clusters\" -> _, \
\"defaultCluster\" -> _, \"clusterSelection\" -> _, \"records\" -> _, \
\"properties\" -> _|>]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{566, 268},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->105684170]
}, Open  ]],

Cell[TextData[{
 "With the package function ",
 StyleBox[ButtonBox["ODBgetFieldAttributes",
  BaseStyle->"Link",
  ButtonData->"paclet:DBAPI/ref/ODBgetFieldAttributes"],
  FontWeight->"Bold",
  Background->RGBColor[1, 0.9, 0.8]],
 " we can view specific attributes for all properties (fields) of the Car \
class"
}], "ExampleText",
 CellID->145027620],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ODBgetFieldAttributes", "[", 
  RowBox[{"classInfoDS", ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<name\>\"", ",", "\"\<linkedClass\>\"", ",", "\"\<type\>\"", ",", 
     "\"\<mandatory\>\"", ",", " ", "\"\<notNull\>\"", ",", 
     "\"\<collate\>\""}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->36192946],

Cell[BoxData[
 TagBox[
  TemplateBox[{GridBox[{{
       StyleBox["\"name\"", 
        GrayLevel[0.3]], 
       StyleBox["\"linkedClass\"", 
        GrayLevel[0.3]], 
       StyleBox["\"type\"", 
        GrayLevel[0.3]], 
       StyleBox["\"mandatory\"", 
        GrayLevel[0.3]], 
       StyleBox["\"notNull\"", 
        GrayLevel[0.3]], 
       StyleBox["\"collate\"", 
        GrayLevel[0.3]]}, {
       StyleBox["\"personDOB\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "linkedClass"]], 
       StyleBox["\"DATE\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox["True", True], 
       InterpretationBox["True", True], 
       StyleBox["\"default\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"personName\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox[
        StyleBox[
        "KeyAbsent", FontFamily -> "Arial", FontSize -> 11, FontWeight -> 
         Bold, 
         GrayLevel[0.7]], 
        Missing["KeyAbsent", "linkedClass"]], 
       StyleBox["\"STRING\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox["True", True], 
       InterpretationBox["True", True], 
       StyleBox["\"ci\"", FontColor -> GrayLevel[0.4]]}, {
       StyleBox["\"rentCar\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"Car\"", FontColor -> GrayLevel[0.4]], 
       StyleBox["\"LINK\"", FontColor -> GrayLevel[0.4]], 
       InterpretationBox["False", False], 
       InterpretationBox["False", False], 
       StyleBox["\"default\"", FontColor -> GrayLevel[0.4]]}, {
       ItemBox[
        RowBox[{"2 levels", 
          AdjustmentBox[" | ", BoxBaselineShift -> -0.3], 
          RowBox[{"3", "rows"}]}], 
        BaseStyle -> {
         FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
          GrayLevel[0.4], Editable -> False, Selectable -> False}, 
        ItemSize -> {Automatic, Automatic}, Alignment -> {Left, Center}, 
        Background -> RGBColor[0.92, 0.92, 0.9]], "\[SpanFromLeft]", 
       "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]", 
       "\[SpanFromLeft]"}}, 
     GridBoxFrame -> {"ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}}, 
     FrameStyle -> RGBColor[0, 0, 0, 0.4], GridBoxDividers -> {"Columns" -> {
         RGBColor[0, 0, 0, 0.4], {
          RGBColor[0, 0, 0, 0.09]}, 
         RGBColor[0, 0, 0, 0.4]}, "Rows" -> {
         RGBColor[0, 0, 0, 0.4], 
         RGBColor[0, 0, 0, 0.3], {
          RGBColor[0, 0, 0, 0.08]}, 
         RGBColor[0, 0, 0, 0.4]}}, RowSpacings -> {1.5, 1.2}, 
     GridBoxBackground -> {"Columns" -> {}, "Rows" -> {
         RGBColor[0.92, 0.92, 0.9]}}, 
     GridBoxAlignment -> {"Columns" -> {{Left}}}, ColumnSpacings -> 2.5, 
     GridFrameMargins -> {{2, 3}, {1, 3}}, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      RowMinHeight -> 1.3],"Dataset[{__Association}]"},
   "Dataset",
   DisplayFunction->(TagBox[
     StyleBox[#, {
      ShowAutoStyles -> False, LineBreakWithin -> False, FontWeight -> 
       "Light", FontFamily -> "Helvetica Neue", NumberMarks -> False, 
       SpanMaxSize -> 3, SpanMinSize -> 1., Editable -> False, Selectable -> 
       True, Background -> RGBColor[0.985, 0.98, 0.973], 
       LinebreakAdjustments -> {0.4, 5, 100, 0, 0.5}, LineIndent -> 0, 
       LineSpacing -> {1.1, 5}}], Deploy]& ),
   InterpretationFunction->(#2& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 ImageSize->{457, 115},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->550559273]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->1255426704],

Cell[TextData[Cell[BoxData[
 StyleBox[
  ButtonBox["ODBgetDataset",
   BaseStyle->"Link",
   ButtonData->"paclet:DBAPI/ref/ODBgetDataset"],
  FontFamily->"Verdana"]], "InlineFormula"]], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->38303248],

Cell[TextData[ButtonBox["OrientDB Package",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/guide/ODBapiPackage"]], "MoreAbout",
 CellID->197251619]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["RELATED LINKS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "RelatedLinksSection",
 WholeCellGroupOpener->True,
 CellID->1584193535],

Cell[TextData[ButtonBox["ODBapi",
 BaseStyle->"Link",
 ButtonData->"paclet:DBAPI/ref/ODBapi"]], "RelatedLinks",
 CellID->1038487239]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ODBgetFieldAttributes - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:DBAPI/guide/DBAPI", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2016, 2, 9, 20, 42, 30.3911351}", 
    "history" -> {"0.9", "", "", ""}, "context" -> "DBAPI`", "keywords" -> {},
     "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> 
    True, "label" -> "D B A P I Symbol", "language" -> "en", "paclet" -> 
    "DBAPI", "status" -> "None", "summary" -> 
    "ODBgetFieldAttributes[Dataset, {attributes}] Get the field (property) \
attributes from an OrientDB schema-full Class", "synonyms" -> {}, "title" -> 
    "ODBgetFieldAttributes", "titlemodifier" -> "", "windowtitle" -> 
    "ODBgetFieldAttributes", "type" -> "Symbol", "uri" -> 
    "DBAPI/ref/ODBgetFieldAttributes"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> 
  "10.3 for Microsoft Windows (64-bit) (December 10, 2015)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[5224, 162, 490, 14, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->324653568]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 22158, 631}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[615, 21, 2575, 59, 70, "AnchorBarGrid",
 CellID->1],
Cell[3193, 82, 64, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[3282, 87, 478, 13, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[3785, 104, 609, 18, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->245507184],
Cell[4397, 124, 102, 5, 70, "Notes",
 CellID->1067943069],
Cell[4502, 131, 471, 16, 70, "Notes",
 CellID->76205178],
Cell[4976, 149, 88, 2, 70, "Notes",
 CellID->532568345],
Cell[5067, 153, 108, 3, 70, "Notes",
 CellID->384880221]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5224, 162, 490, 14, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->324653568],
Cell[CellGroupData[{
Cell[5739, 180, 195, 6, 70, "ExampleSection",
 CellID->120383522],
Cell[5937, 188, 218, 8, 70, "ExampleText",
 CellID->390502528],
Cell[CellGroupData[{
Cell[6180, 200, 386, 9, 70, "Input",
 CellID->113697542],
Cell[6569, 211, 373, 9, 70, "Print",
 CellID->297657940],
Cell[6945, 222, 1188, 20, 173, "Output",
 CellID->347421544]
}, Open  ]],
Cell[8148, 245, 523, 17, 70, "ExampleText",
 CellID->282846910],
Cell[CellGroupData[{
Cell[8696, 266, 145, 4, 70, "Input",
 CellID->27991777],
Cell[8844, 272, 4981, 122, 70, "Output",
 CellID->105684170]
}, Open  ]],
Cell[13840, 397, 351, 10, 70, "ExampleText",
 CellID->145027620],
Cell[CellGroupData[{
Cell[14216, 411, 344, 9, 70, "Input",
 CellID->36192946],
Cell[14563, 422, 3719, 87, 136, "Output",
 CellID->550559273]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18343, 516, 446, 13, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[18792, 531, 216, 6, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[19045, 542, 448, 13, 70, "MoreAboutSection",
 CellID->38303248],
Cell[19496, 557, 147, 3, 70, "MoreAbout",
 CellID->197251619]
}, Open  ]],
Cell[CellGroupData[{
Cell[19680, 565, 456, 13, 70, "RelatedLinksSection",
 CellID->1584193535],
Cell[20139, 580, 132, 3, 70, "RelatedLinks",
 CellID->1038487239]
}, Open  ]],
Cell[20286, 586, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

